<!doctype html>
<html lang="es">

<head>
    <meta charset="utf-8">
    <title>background-attachment</title>
    <link rel="stylesheet" href="../css/ejemplos.css">
    <style>
        .contenedor {
            display: grid;
            grid-template-columns: 1fr 1fr;
            gap: 2px;
        }
        
        .contenedor {
            height: 200px;
            overflow: auto;
        }

        h2 {
            margin: .2em;
        }

        .general {
            background-image: url('../img/page.png');
            background-repeat: no-repeat;
            
            background-color: lightblue;
            border: 5px dotted;

            height: 75px;
            overflow: auto;

            padding: 1em;
        }

        .ejemplo1 {
            background-attachment: scroll;
        }

        .ejemplo2 {
            background-attachment: fixed;
            background-position: 70% 100px;
        }

        .ejemplo3 {
            background-attachment: fixed;
            background-position: 200px 100px;
        }

    </style>
</head>

<body>
    <div class="contenedor">
        <div>
            <h2>scroll</h2>
            <div class="general ejemplo1">
                <div>Párrafo 1</div>
                <div>Párrafo 2</div>
                <div>Párrafo 3</div>
                <div>Párrafo 4</div>
                <div>Párrafo 5</div>
                <div>Párrafo 6</div>
            </div>
        </div>
        <div>
            <h2>fixed, position 70% 100px</h2>
            <div class="general ejemplo2">
                <div>Párrafo 1</div>
                <div>Párrafo 2</div>
                <div>Párrafo 3</div>
                <div>Párrafo 4</div>
                <div>Párrafo 5</div>
                <div>Párrafo 6</div>
            </div>
        </div>
        <div>
            <h2>fixed, position 200px 100px</h2>
            <div class="general ejemplo3">
                <div>Párrafo 1</div>
                <div>Párrafo 2</div>
                <div>Párrafo 3</div>
                <div>Párrafo 4</div>
                <div>Párrafo 5</div>
                <div>Párrafo 6</div>
            </div>
        </div>
    </div>
</body>

</html>